Subject: Apache+Modperl
From: Paul-Kenji Cahier <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jun 2004 00:13:08 +0200

Hello all,

I'm trying to build apache 1.3.x, with modperl 1.29.
First i unpack both in a directory(like ~/modperl and ~/apache)
If i try to build it using just:
(in modperl)
~/mod_perl-1.29$ perl Makefile.PL
Configure mod_perl with ../apache_1.3.31/src ? [y] 
Shall I build httpd in ../apache_1.3.31/src for you? [y] 
Appending mod_perl to src/Configuration
Using config file: /home/pkcahier/mod_perl-1.29/src/Configuration
Creating Makefile
 + configured for Cygwin platform
 + setting C compiler to gcc
 + setting C pre-processor to gcc -E
 + using "tr [a-z] [A-Z]" to uppercase
 + checking for system header files
 + adding selected modules
    o perl_module uses ConfigStart/End
      + mod_perl build type: OBJ
      + setting up mod_perl build environment
      + id: mod_perl/1.29
      + id: Perl/v5.8.2 (cygwin) [perl]
      + adjusting Apache build environment
 + using system Expat
 + checking sizeof various data types
 + doing sanity check on compiler and options
 [...]
=> works fine
~/mod_perl-1.29$ make
=>works fine
~/mod_perl-1.29$ make Test
[...] (building apache for test)
../apache_1.3.31/src/httpd -f `pwd`/t/conf/httpd.conf -X -d `pwd`/t &
httpd listening on port 8529
will write error_log to: t/logs/error_log
letting apache warm up...\c
done
/usr/bin/perl.exe t/TEST 0
still waiting for server to warm up...............not ok
server failed to start! (please examine t/logs/error_log) at t/TEST line 95.
make: *** [run_tests] Error 119
=>there's nothing in the log, logging didnt even start
=>according to gdb it segfault right after starting
=>it seems it needs shared core(after searching on internet).

So i try building with DSO, since that seems to be the only way
mod_perl will work:

(in modperl)
~/mod_perl-1.29$ perl Makefile.PL USE_DSO=1
Will configure via APACI (DSO enabled)
Configure mod_perl with ../apache_1.3.31/src ? [y] 
Shall I build httpd in ../apache_1.3.31/src for you? [y] 
[...]
Configuring for Apache, Version 1.3.31
 + using installation path layout: Apache (config.layout)
 + activated perl module (modules/perl/libperl.a)
Creating Makefile
Creating Configuration.apaci in src
 + enabling mod_so for DSO support
Creating Makefile in src
 + configured for Cygwin platform
 + setting C pre-processor to /usr/bin/cpp
 + using "tr [a-z] [A-Z]" to uppercase
 + checking for system header files
 + adding selected modules
    o perl_module uses ConfigStart/End
      + mod_perl build type: 
      + setting up mod_perl build environment
      + id: mod_perl/1.29
      + id: Perl/v5.8.2 (cygwin) [perl]
test: OBJ: unknown operand
      + adjusting Apache build environment
 + enabling generation of Apache core as DLL
 + checking sizeof various data types
 + doing sanity check on compiler and options
=> finishes without any problem

I then try make, and here's the prob:
<=== src/modules/standard
===> src/modules/perl
make[5]: *** No rule to make target `libperl.dll', needed by `lib'.  Stop.
make[4]: *** [all] Error 1
make[3]: *** [subdirs] Error 1
make[3]: Leaving directory `/home/pkcahier/apache_1.3.31/src'
make[2]: *** [build-std] Error 2
make[2]: Leaving directory `/home/pkcahier/apache_1.3.31'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/home/pkcahier/apache_1.3.31'
make: *** [apaci_httpd] Error 2

I tried modifying the Makefile, but havent found the correct
modification yet, so if anyone can find out, it'd be great.
Of course if anyone can find how to compile mod_perl with apache
without shared-core and with it not having probs...

Best Regards,

Paul-Kenji Cahier

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/